Loading...
Searching...
No Matches
exception.hpp File Reference
`#include "svn_types_impl.h"`
`#include <exception>`
`#include <memory>`
`#include <new>`
`#include <stdexcept>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Data Structures

class | apache::subversion::svnxx::allocation_failed
| Exception type that will be thrown when memory allocation fails. More...
class | apache::subversion::svnxx::error
| Encapsulate a stack of Subversion error codes and messages. More...
class | apache::subversion::svnxx::error::message
| Error message description. More...
class | apache::subversion::svnxx::cancelled
| Thrown instead of Error when the error chain contains a `SVN_ERR_CANCELLED` error code. More...
class | apache::subversion::svnxx::stop_iteration
| User code should throw this exception from callbacks to cancel an operation. More...

## Typedefs

using | apache::subversion::svnxx::detail::error_ptr = std::shared_ptr<svn_error_t>

## Detailed Description

# autotoc_md179

Definition in file exception.hpp.

## Typedef Documentation

## error_ptr

using apache::subversion::svnxx::detail::error_ptr = std::shared_ptr<svn_error_t>

Definition at line 111 of file exception.hpp.